Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.oslc4j.core.model
Enum ValueType

    java.lang.Object
      java.lang.Enum<ValueType>
          org.eclipse.lyo.oslc4j.core.model.ValueType

All Implemented Interfaces:
  Serializable, Comparable<ValueType>

    public enum ValueType

extends Enum<ValueType>

Enum Constant Summary
`Boolean`
`Date`
`DateTime`
`Decimal`
`Double`
`Float`
`Integer`
`LocalResource`
`Resource`
`String`
`XMLLiteral`

Method Summary
`static ValueType` | `fromString(String string)`
`static ValueType` | `fromURI(URI uri)`
`String` | `toString()`
`static ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Boolean

    public static final ValueType Boolean

### DateTime

    public static final ValueType DateTime

### Date

    public static final ValueType Date

### Decimal

    public static final ValueType Decimal

### Double

    public static final ValueType Double

### Float

    public static final ValueType Float

### Integer

    public static final ValueType Integer

### String

    public static final ValueType String

### XMLLiteral

    public static final ValueType XMLLiteral

### Resource

    public static final ValueType Resource

### LocalResource

    public static final ValueType LocalResource

Method Detail

### values

    public static ValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueType c : ValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ValueType>`

### fromString

    public static ValueType fromString(String string)

### fromURI

    public static ValueType fromURI(URI uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.